CREATE OR REPLACE VIEW public.reviewer_parameter_v AS
SELECT DISTINCT 
reviewer.display_name reviewer_display_name, reviewer.id reviewer_id
FROM suser reviewer 
where
	exists (select 1 FROM review_item item 
				 join review_instance instance on item.review_instance_id = instance.id
				 join reviewer_instance inst3 on instance.id = inst3.review_instance_id
				 where inst3.single_reviewer_unique_id::text = reviewer.unique_user_id::text AND reviewer.effective = true);

ALTER TABLE public.reviewer_parameter_v
OWNER TO igops;
GRANT ALL ON TABLE public.reviewer_parameter_v TO igops;
GRANT SELECT ON TABLE public.reviewer_parameter_v TO ig_report_role;